/*
Copyright (C) 2019 Alison G. Watson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef spingle__endian_sdl_h
#define spingle__endian_sdl_h

#include <SDL_endian.h>

#define HOST_BIGENDIAN (SDL_BYTEORDER == SDL_BIG_ENDIAN)

#define BigShort SDL_SwapBE16
#define BigLong  SDL_SwapBE32
#define BigFloat SDL_SwapFloatBE

#define LittleShort SDL_SwapLE16
#define LittleLong  SDL_SwapLE32
#define LittleFloat SDL_SwapFloatLE

#endif
